Bug 1491224 (CVE-2017-12154)

Summary: CVE-2017-12154 Kernel: kvm: nVMX: L2 guest could access hardware(L0) CR8 register
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: airlied, ajax, aquini, bhu, blc, bskeggs, dhoward, eparis, esandeen, fhrbata, hdegoede, hkrzesin, hwkernel-mgr, iboverma, ichavero, itamar, jarodwilson, jforbes, jglisse, jkacur, jonathan, josef, jross, jwboyer, kernel-maint, kernel-mgr, knoel, labbott, lgoncalv, linville, matt, mchehab, mcressma, mjg59, mlangsdo, mmilgram, nhorman, nmurray, plougher, quintela, rt-maint, rvrbovsk, sheldon.corey, sheldon.corey, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20170912,reported=20170904,source=google,cvss2=4.3/AV:A/AC:H/Au:S/C:N/I:N/A:C,cvss3=5.8/CVSS:3.0/AV:A/AC:H/PR:L/UI:N/S:C/C:N/I:N/A:H,cwe=CWE-284,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,rhel-7/kernel=affected,rhel-7/kernel-rt=affected,fedora-all/kernel=affected,mrg-2/realtime-kernel=notaffected,rhel-7/kernel-alt=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Linux kernel built with the KVM visualization support (CONFIG_KVM), with nested visualization (nVMX) feature enabled (nested=1), is vulnerable to a crash due to disabled external interrupts. As L2 guest could access (r/w) hardware CR8 register of the host(L0). In a nested visualization setup, L2 guest user could use this flaw to potentially crash the host(L0) resulting in DoS.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:25:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1695839, 1491225, 1491231, 1491232, 1491233    
Bug Blocks: 1488027    

Description Prasad J Pandit 2017-09-13 11:11:28 UTC
Linux kernel built with the KVM virtualisation support(CONFIG_KVM),
with nested virtualisation(nVMX) feature enabled(nested=1), is vulnerable
to a crash due to disabled external interrupts. As L2 guest could access(r/w)
hardware CR8 register of the host(L0).

In a nested virtualisation setup, L2 guest user could use this flaw
to potentially crash the host(L0) resulting in DoS.

Upstream patch
--------------
   -> https://git.kernel.org/linus/51aa68e7d57e3217192d88ce90fd5b8ef29ec94f

Reference:
----------
   -> http://www.openwall.com/lists/oss-security/2017/09/26/3

Comment 1 Prasad J Pandit 2017-09-13 11:12:54 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1491225]

Comment 2 Prasad J Pandit 2017-09-13 11:24:55 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1491231]

Comment 4 Prasad J Pandit 2017-09-13 11:49:31 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2.

Comment 5 Prasad J Pandit 2017-09-13 19:09:29 UTC
Acknowledgments:

Name: Jim Mattson (Google.com)

Comment 7 Justin M. Forbes 2018-01-29 16:34:34 UTC
This was fixed for Fedora with the 4.13.5 stable updates

Comment 8 errata-xmlrpc 2018-04-10 08:07:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0676 https://access.redhat.com/errata/RHSA-2018:0676

Comment 9 errata-xmlrpc 2018-04-10 09:30:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:1062 https://access.redhat.com/errata/RHSA-2018:1062